Package org.apache.activemq.artemis.uri.schemas.clusterConnection

## Class ClusterConnectionStaticSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema

- Direct Known Subclasses:
    `ClusterConnectionMulticastSchema`

      public class ClusterConnectionStaticSchema
      extends org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterConnectionStaticSchema()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSchemaName()` |
    `protected org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration` | `internalNewObject​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String param)` |
    `protected java.net.URI` | `internalNewURI​(org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)` |
    `void` | `populateObject​(java.net.URI uri, org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterConnectionStaticSchema

          public ClusterConnectionStaticSchema()

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>`

    - #### internalNewObject

          protected org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration internalNewObject​(java.net.URI uri,
                                                                                                             java.util.Map<java.lang.String,​java.lang.String> query,
                                                                                                             java.lang.String param)
                                                                                                      throws java.lang.Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### populateObject

          public void populateObject​(java.net.URI uri,
                                     org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                              throws java.lang.Exception

      Overrides:
        `populateObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### internalNewURI

          protected java.net.URI internalNewURI​(org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                                         throws java.lang.Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,​java.lang.String>`
      Throws:
        `java.lang.Exception`